Package org.eclipse.m2m.atl.adt.ui.text

# Interface Symbols

All Known Implementing Classes:
  `AtlHeuristicScanner`

public interface Symbols
Symbols for the heuristic scanner.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TOKEN_BREAK`
`static final int`
`TOKEN_CASE`
`static final int`
`TOKEN_CATCH`
`static final int`
`TOKEN_COLON`
`static final int`
`TOKEN_COMMA`
`static final int`
`TOKEN_DEFAULT`
`static final int`
`TOKEN_DO`
`static final int`
`TOKEN_ELSE`
`static final int`
`TOKEN_EOF`
`static final int`
`TOKEN_EQUAL`
`static final int`
`TOKEN_FINALLY`
`static final int`
`TOKEN_FOR`
`static final int`
`TOKEN_GOTO`
`static final int`
`TOKEN_IDENT`
`static final int`
`TOKEN_IF`
`static final int`
`TOKEN_LBRACE`
`static final int`
`TOKEN_LBRACKET`
`static final int`
`TOKEN_LPAREN`
`static final int`
`TOKEN_NEW`
`static final int`
`TOKEN_OTHER`
`static final int`
`TOKEN_QUESTIONMARK`
`static final int`
`TOKEN_RBRACE`
`static final int`
`TOKEN_RBRACKET`
`static final int`
`TOKEN_RETURN`
`static final int`
`TOKEN_RPAREN`
`static final int`
`TOKEN_SEMICOLON`
`static final int`
`TOKEN_STATIC`
`static final int`
`TOKEN_SWITCH`
`static final int`
`TOKEN_SYNCHRONIZED`
`static final int`
`TOKEN_TRY`
`static final int`
`TOKEN_WHILE`

## Field Details

### TOKEN_EOF

static final int TOKEN_EOF

See Also:
  - Constant Field Values

### TOKEN_LBRACE

static final int TOKEN_LBRACE

See Also:
  - Constant Field Values

### TOKEN_RBRACE

static final int TOKEN_RBRACE

See Also:
  - Constant Field Values

### TOKEN_LBRACKET

static final int TOKEN_LBRACKET

See Also:
  - Constant Field Values

### TOKEN_RBRACKET

static final int TOKEN_RBRACKET

See Also:
  - Constant Field Values

### TOKEN_LPAREN

static final int TOKEN_LPAREN

See Also:
  - Constant Field Values

### TOKEN_RPAREN

static final int TOKEN_RPAREN

See Also:
  - Constant Field Values

### TOKEN_SEMICOLON

static final int TOKEN_SEMICOLON

See Also:
  - Constant Field Values

### TOKEN_OTHER

static final int TOKEN_OTHER

See Also:
  - Constant Field Values

### TOKEN_COLON

static final int TOKEN_COLON

See Also:
  - Constant Field Values

### TOKEN_QUESTIONMARK

static final int TOKEN_QUESTIONMARK

See Also:
  - Constant Field Values

### TOKEN_COMMA

static final int TOKEN_COMMA

See Also:
  - Constant Field Values

### TOKEN_EQUAL

static final int TOKEN_EQUAL

See Also:
  - Constant Field Values

### TOKEN_IF

static final int TOKEN_IF

See Also:
  - Constant Field Values

### TOKEN_DO

static final int TOKEN_DO

See Also:
  - Constant Field Values

### TOKEN_FOR

static final int TOKEN_FOR

See Also:
  - Constant Field Values

### TOKEN_TRY

static final int TOKEN_TRY

See Also:
  - Constant Field Values

### TOKEN_CASE

static final int TOKEN_CASE

See Also:
  - Constant Field Values

### TOKEN_ELSE

static final int TOKEN_ELSE

See Also:
  - Constant Field Values

### TOKEN_BREAK

static final int TOKEN_BREAK

See Also:
  - Constant Field Values

### TOKEN_CATCH

static final int TOKEN_CATCH

See Also:
  - Constant Field Values

### TOKEN_WHILE

static final int TOKEN_WHILE

See Also:
  - Constant Field Values

### TOKEN_RETURN

static final int TOKEN_RETURN

See Also:
  - Constant Field Values

### TOKEN_STATIC

static final int TOKEN_STATIC

See Also:
  - Constant Field Values

### TOKEN_SWITCH

static final int TOKEN_SWITCH

See Also:
  - Constant Field Values

### TOKEN_FINALLY

static final int TOKEN_FINALLY

See Also:
  - Constant Field Values

### TOKEN_SYNCHRONIZED

static final int TOKEN_SYNCHRONIZED

See Also:
  - Constant Field Values

### TOKEN_GOTO

static final int TOKEN_GOTO

See Also:
  - Constant Field Values

### TOKEN_DEFAULT

static final int TOKEN_DEFAULT

See Also:
  - Constant Field Values

### TOKEN_NEW

static final int TOKEN_NEW

See Also:
  - Constant Field Values

### TOKEN_IDENT

static final int TOKEN_IDENT

See Also:
  - Constant Field Values